// ConsoleApplication6.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <climits>
#define ll long long
#define ld long double
using namespace std;
void solve() {
    ll n, m;
    cin >> n >> m;
    multiset<ll>s;
    for (ll i = 0;i < n;++i) s.insert(0ll);
    ll mn = 0;
    while (m--) {
        ll x;
        cin >> x;
        if (m + 1 <= mn) {
            auto it = s.begin();
            ll f = *it;
            s.erase(it);
            s.insert(x - f);
            if (f >= 0 && x - f < 0) {
                ++mn;
            }
            else if (f < 0 && x - f >= 0) {
                --mn;
            }
            continue;
        }
        if (x <= 0) {
            auto it = (--s.end());
            ll f = *it;
            if (f >= 0 && x - f < 0) {
                ++mn;
            }
            else if (f < 0 && x - f >= 0) {
                --mn;
            }
            s.erase(it);
            s.insert(x - f);
        }
        else {
            auto it = s.begin();
            ll f = *it;
            s.erase(it);
            s.insert(x - f);
            if (f >= 0 && x - f < 0) {
                ++mn;
            }
            else if (f < 0 && x - f >= 0) {
                --mn;
            }
        }
    }
    ll sm = 0;
    for (auto i : s) {
        sm += i;
    }
    cout << sm<<'\n';
}
int main()
{
    ll t = 1;
    cin >> t;
    while (t--) {
        solve();
    }
}
